Skip to main content
GET
/
organization
/
{organizationId}
/
account
/
github
/
repository
Get github repositories of the connected user
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/account/github/repository \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "name": "simple-node-app",
      "url": "https://github.com/Qovery/simple-node-app",
      "default_branch": "master",
      "is_private": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Query Parameters

gitTokenId
string<uuid>

The git token id that must be used for the application

Response

Get github repositories

results
object[]